@import url("https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
}
.container {
  font-family: "Space Grotesk", sans-serif;
  color: white;
  height: 100vh;
  background-color: #111827;
  padding: 0 20px;
  position: relative;
  overflow: hidden;
}

.palettes {
  display: grid;
  grid-template-columns: repeat(22, minmax(0, 1fr));
  grid-template-rows: -webkit-min-content repeat(10, minmax(0, 1fr));
  grid-template-rows: min-content repeat(10, minmax(0, 1fr));
  grid-auto-flow: column;
  grid-column-gap: 0.25rem;
  -moz-column-gap: 0.25rem;
  column-gap: 0.5rem;
  grid-row-gap: 0.25rem;
  row-gap: 0.5rem;
  flex-grow: 1;
  overflow: auto;
}

.color {
  height: 3rem;
  outline: 0 !important;
  border: none !important;
  border-radius: 8px;
  cursor: pointer;
}

.palette-name {
  margin: 20px 0;
  text-align: center;
}

.footer {
  position: absolute;
  bottom: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  height: 80px;
  width: 98%;
  padding: 0 20px;
  background-color: #1f2937;
}

.credit {
  height: 100%;
  width: 190px;
  display: flex;
  align-items: center;
}

.control {
  display: flex;
  align-items: center;
}

.control select {
  margin-left: 10px;
  padding: 5px;
}

.alertbox {
  height: 100%;
  display: flex;
  align-items: center;
}

.note {
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.shakil,
.parvin {
  height: 50px;
  width: 50px;
  border-radius: 50px;
}

.shakil img,
.parvin img {
  height: 100%;
  width: 100%;
  border-radius: 50px;
  border: 3px solid #1a56db;
  outline: 3px solid #1f2937;
}

.shakil {
  position: relative;
  z-index: 9;
}

.parvin {
  position: relative;
  z-index: 1;
  margin-left: -10px;
}

.profiles {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
}

@media screen and (max-width: 1280px) {
  .note {
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .palette-name {
    font-size: 14px;
  }
  .footer {
    height: 50px;
  }
  .shakil,
  .parvin {
    height: 30px;
    width: 30px;
  }
  .shakil img,
  .parvin img {
    border: 2px solid #1a56db;
    outline: 2px solid #1f2937;
  }
  .parvin {
    margin-left: -5px;
  }
  .alertbox {
    margin-left: -120px;
  }
  .control {
    margin-right: 20px;
  }
}
